"use strict";

// Phonegap boilerplate code, mostly generic for all apps.
// i.e. stuff that's needed just because it's a cordova app.

$(document).ready( function() {
	//alert("test1....");
	// Hide splashscreen imediately after load.
	// (Note: PG deviceready event fires even if device is already ready.)
	document.addEventListener("deviceready", function() {
		//alert("test2.");
		if (navigator.splashscreen && navigator.splashscreen.hide) {
			navigator.splashscreen.hide();
		}
		else
			alert("Splash screen hide error");
	}, false);

	// Remove 300ms click delay.
	//FastClick.attach(document.body);
});

// iOS statusbar coloring
$(document).ready( function() { // (for jQuery-query inside)
	document.addEventListener('deviceready', function() {
		//alert("dr test.");
		if (typeof StatusBar !== 'undefined') {
			StatusBar.overlaysWebView(false);
			if (window.cordova && window.device && device.platform == "iOS") {
				StatusBar.show();
				// Opaque status bar:
				//-------------------
				//StatusBar.overlaysWebView(false);
				//StatusBar.styleDefault(); // black text
				StatusBar.styleBlackOpaque(); // white text
				StatusBar.backgroundColorByHexString("#000"); // on black
				
				// See-through status bar:
				//------------------------
				/*StatusBar.overlaysWebView(true);
				$("body").addClass("iOSPaddingEnabled");
				//StatusBar.styleDefault(); // black text
				StatusBar.styleBlackOpaque(); // white text*/
			}
			else { // Android
				StatusBar.backgroundColorByHexString("#000");
				//StatusBar.styleDefault();
			}
		}
		//else {
		//	alert("No status bar.");
		//}
	}, false);
});
